class UI
{
  PImage[] hearts = new PImage[3];
  PImage[] numbers = new PImage[10];
  PImage quantityIndicator, slimeCollectedSymbol;

  UI()
  {
    hearts[0]=loadImage("UI/HeartEmpty.png");
    hearts[1]=loadImage("UI/HeartHalf.png");
    hearts[2]=loadImage("UI/HeartFull.png");
    for (int i=0; i<numbers.length; i++)
    {
      numbers[i] = loadImage("UI/"+i+".png");
    }
    quantityIndicator = loadImage("UI/Quantity.png");
    slimeCollectedSymbol = loadImage("UI/SlimeCount.png");
  }

  void update()
  {
    healthDisplay();
    slimeCollectedDisplay();
  }

  //Lebensanzeige
  void healthDisplay()
  {
    switch(player.health)
    {
    case 1:
      image(hearts[1], 0, 0, 120, 120);
      image(hearts[0], 120, 0, 120, 120);
      image(hearts[0], 240, 0, 120, 120);
      break;
    case 2:
      image(hearts[2], 0, 0, 120, 120);
      image(hearts[0], 120, 0, 120, 120);
      image(hearts[0], 240, 0, 120, 120);
      break;
    case 3:
      image(hearts[2], 0, 0, 120, 120);
      image(hearts[1], 120, 0, 120, 120);
      image(hearts[0], 240, 0, 120, 120);
      break;
    case 4:
      image(hearts[2], 0, 0, 120, 120);
      image(hearts[2], 120, 0, 120, 120);
      image(hearts[0], 240, 0, 120, 120);
      break;
    case 5:
      image(hearts[2], 0, 0, 120, 120);
      image(hearts[2], 120, 0, 120, 120);
      image(hearts[1], 240, 0, 120, 120);
      break;
    case 6:
      image(hearts[2], 0, 0, 120, 120);
      image(hearts[2], 120, 0, 120, 120);
      image(hearts[2], 240, 0, 120, 120);
      break;
    default:
      image(hearts[0], 0, 0, 120, 120);
      image(hearts[0], 120, 0, 120, 120);
      image(hearts[0], 240, 0, 120, 120);
    }
  }
  
  //Anzeige der gesammelten Slimes
  void slimeCollectedDisplay()
  {
    image(numbers[slimeCollected/10], 1562, 0);
    image(numbers[slimeCollected%10], 1622, 0);
    image(quantityIndicator, 1670, 0);
    image(slimeCollectedSymbol, 1782, 0);
  }
}
